Retrieve wishlists

Returns wishlists of a site with their products. Pagination (page, limit) applies to wishlist product lines, not to wishlists.

Business errors are returned with HTTP 200 as {"success": false, "error": {"message": "…"}}.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
length ≤ 250

Customer email

integer

Site ID (default: main site)

string
length ≤ 13

EAN code

string

Wishlist creation date, lower bound. Must be used with created_to. Format (YYYY-MM-DD HH:II:SS)

string

Wishlist creation date, upper bound. Must be used with created_from. Format (YYYY-MM-DD HH:II:SS)

string

Wishlist last update date, lower bound. Only applied together with updated_to. Format (YYYY-MM-DD HH:II:SS)

string

Wishlist last update date, upper bound. Only applied together with updated_from. Format (YYYY-MM-DD HH:II:SS)

integer
≥ 1

Page number (1-based)

integer
≥ 1

Product lines per page (default 1000)

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json